<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>HelpOnComments</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">HelpOnComments</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><p class="line867">
<h1 id="Comments">Comments</h1>
<span class="anchor" id="line-9"></span><p class="line867"><a href="./MoinMoin.html">MoinMoin</a> has the capability to use in-context comments to directly add some comment or additional information to the place you are commenting on, while still enabling the user to get a clean display of the page contents without the comments. <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line874">The edit bar has a toggle for the visibility of these comments. <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line867"><img alt="(!)" height="16" src="/moin_static1911/modern/img/idea.png" title="(!)" width="16" /> Just click on Comments to toggle the visibility (requires Javascript enabled in your browser). <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line874">The comments will usually be rendered slightly different from normal text (e.g. different colour), so the user can still see what is main content and what is a comment. <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line867">
<h2 id="Inline_comments">1. Inline comments</h2>
<span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line867">
<h3 id="Markup">1.1. Markup</h3>
<span class="anchor" id="line-20"></span><p class="line867"><span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><pre><span class="anchor" id="line-1"></span>Diamonds are expensive. /* BTW, there are also inexpensive industrial diamonds. */ Their price depends on multiple factors: ...</pre><span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line867">
<h3 id="Display">1.2. Display</h3>
<span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line862">Diamonds are expensive. <span class="comment" style="display:none">BTW, there are also inexpensive industrial diamonds.</span> Their price depends on multiple factors: ... <span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line867">
<h2 id="Comment_sections">2. Comment sections</h2>
<span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><p class="line867">
<h3 id="Markup-1">2.1. Markup</h3>
<span class="anchor" id="line-31"></span><p class="line867"><span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><pre><span class="anchor" id="line-1-1"></span>Some normal text.
<span class="anchor" id="line-2"></span>
<span class="anchor" id="line-3"></span>{{{#!wiki comment
<span class="anchor" id="line-4"></span>This is just a wiki parser using a div class="comment" to contain its output.
<span class="anchor" id="line-5"></span> 1. first
<span class="anchor" id="line-6"></span> 1. second
<span class="anchor" id="line-7"></span> 1. ...
<span class="anchor" id="line-8"></span>}}}
<span class="anchor" id="line-9"></span>
<span class="anchor" id="line-10"></span>More normal text.</pre><span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line867">
<h3 id="Display-1">2.2. Display</h3>
<span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line874">Some normal text. <span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><p class="line867"><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><div class="comment" style="display:none"><span class="anchor" id="line-1-1"></span><p class="line874">This is just a wiki parser using a div class="comment" to contain its output. <span class="anchor" id="line-2-1"></span><ol type="1"><li>first <span class="anchor" id="line-3-1"></span></li><li>second <span class="anchor" id="line-4-1"></span></li><li>... </li></ol></div><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><p class="line874">More normal text. <span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><p class="line867">
<h2 id="Hints_for_using_comments">3. Hints for using comments</h2>
<span class="anchor" id="line-58"></span><ul><li>You need Javascript to toggle the visibility of the comments. If you don't have Javascript, see below. <span class="anchor" id="line-59"></span></li><li><p class="line862">You can set the visibility of comments in your user preferences, the default is to not show comments (so you need to click on Comments to see them). <span class="anchor" id="line-60"></span><ul><li><p class="line862">This default was chosen because the main intention of this feature is to have a <em>clean</em> page display. <span class="anchor" id="line-61"></span></li><li><p class="line862">You still have the choice of seeing everything without additional clicks (and hiding by using the toggle) by enabling Show comment sections in your user preferences. <span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span></li></ul></li></ul><p class="line862">Additionally to the comments feature, there is also the "supplementation page" feature (see <a href="./HelpOnConfiguration(2f)SupplementationPage.html">HelpOnConfiguration/SupplementationPage</a>). <span class="anchor" id="line-64"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:22
</body>
</html>
